Bug 594712 - compress installs pom under different name than advertised in maven depmap
Summary: compress installs pom under different name than advertised in maven depmap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-commons-compress
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sandro Mathys
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 12:29 UTC by Stanislav Ochotnicky
Modified: 2010-08-03 00:43 UTC (History)
2 users (show)

Fixed In Version: apache-commons-compress-1.0-8.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-03 00:43:26 UTC


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-05-21 12:29:31 UTC
compress spec file contains:

> install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{shortname}.pom
> %add_to_maven_depmap org.apache.maven %{name} %{version} JPP %{name}

first line installs pom file under name JPP-commons-compress.pom but second line says to maven that it can find given groupId/artifactId pom file under name JPP-apache-commons-compress.pom

This will cause problems with unsatisfied dependencies.  Second line also wrongly specifies artifactId as %{name}. It should be %{shortname} so the line needs to be changed to:

%add_to_maven_depmap org.apache.maven %{shortname} %{version} JPP %{shortname}

Comment 1 Sandro Mathys 2010-05-23 21:34:33 UTC
Stanislav,

Thanks for your helpful report and my apologies it took me so long to get back to you. I knew I'm doing something wrong when I added that maven stuff, thanks for helping me udnerstand what I did there a little bit better :)

I'm about to correct this right now.

Comment 2 Fedora Update System 2010-05-23 22:11:01 UTC
apache-commons-compress-1.0-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-6.fc12

Comment 3 Fedora Update System 2010-05-23 22:11:42 UTC
apache-commons-compress-1.0-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-6.fc13

Comment 4 Stanislav Ochotnicky 2010-05-24 08:58:24 UTC
I'd say 2 days is pretty fast :-) And I found the same problem in my spec files as well...that's why I created this (and one other) bugreport. So we are all learning...

Comment 5 Fedora Update System 2010-05-24 19:31:45 UTC
apache-commons-compress-1.0-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apache-commons-compress'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-6.fc13

Comment 6 Fedora Update System 2010-05-24 19:33:47 UTC
apache-commons-compress-1.0-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apache-commons-compress'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-6.fc12

Comment 7 Orion Poplawski 2010-07-07 18:56:42 UTC
Actually, it needs to be:

%add_to_maven_depmap org.apache.commons %{shortname} %{version} JPP %{shortname}

since the parent is org.apache.commons.

Comment 8 Stanislav Ochotnicky 2010-07-08 07:39:28 UTC
Ugh...I was working on maven2 concurrently and that didn't occur to me...yes that's obviously a problem.

Comment 9 Fedora Update System 2010-07-11 11:05:51 UTC
apache-commons-compress-1.0-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-8.fc12

Comment 10 Fedora Update System 2010-07-11 11:06:42 UTC
apache-commons-compress-1.0-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-8.fc13

Comment 11 Fedora Update System 2010-07-13 07:31:33 UTC
apache-commons-compress-1.0-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apache-commons-compress'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-8.fc12

Comment 12 Fedora Update System 2010-07-13 07:35:21 UTC
apache-commons-compress-1.0-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apache-commons-compress'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/apache-commons-compress-1.0-8.fc13

Comment 13 Bug Zapper 2010-07-30 11:40:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Fedora Update System 2010-08-03 00:43:22 UTC
apache-commons-compress-1.0-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-08-03 00:43:33 UTC
apache-commons-compress-1.0-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.